package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnvWarning;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.WarningCountVo;
import com.huimv.admin.entity.vo.WarningTopVo;
import com.huimv.admin.entity.vo.WarningVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
public interface EnvWarningMapper extends BaseMapper<EnvWarning> {

    Integer getCount(@Param(Constants.WRAPPER) QueryWrapper<EnvWarning> update_time);

    List<WarningCountVo> getMonthCount(@Param(Constants.WRAPPER) QueryWrapper<EnvWarning> queryWrapper);

    List<WarningVo> listWarning(String farmId, Date timeMorning);

    List<WarningTopVo> listTop(String farmId);
}
