package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvElectricityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@RestController
@RequestMapping("/env-electricity")
@CrossOrigin
public class EnvElectricityController {

    @Autowired
    private IEnvElectricityService envElectricityService;

    @PostMapping("/list")
    public Result listElectricity(@RequestBody Map<String, String> paramsMap){
        return envElectricityService.listElectricity(paramsMap);
    }
}
