package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnvWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.energyMonthVo;
import com.huimv.admin.entity.vo.energyYearVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@Repository
public interface EnvWaterMapper extends BaseMapper<EnvWater> {

    BigDecimal getWater(@Param(Constants.WRAPPER) QueryWrapper<EnvWater> update_time);

    List<energyMonthVo> listDayWater(@Param(Constants.WRAPPER) QueryWrapper<EnvWater> ge);

    List<energyYearVo> listMonthWater(@Param(Constants.WRAPPER) QueryWrapper<EnvWater> ge);
}
